def hauteur(self):
    hauteur_gauche = -1
    hauteur_droite = -1

    if self.left is not None:
        hauteur_gauche = self.left.hauteur()

    if self.right is not None:
        hauteur_droite = self.right.hauteur()

    return 1 + max(hauteur_gauche, hauteur_droite)
